#
# spec file for package perl-XML-SAX-Writer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-XML-SAX-Writer
%define cpan_name XML-SAX-Writer
Summary:        SAX2 Writer
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        0.53
Release:        6.3
Url:            http://search.cpan.org/dist/XML-SAX-Writer/
Source:         http://www.cpan.org/modules/by-module/XML/XML-SAX-Writer-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::Filter::BufferText) >= 1.00
BuildRequires:  perl(XML::NamespaceSupport) >= 1.00
BuildRequires:  perl(XML::SAX::Exception) >= 1.01
Requires:       perl(XML::Filter::BufferText) >= 1.00
Requires:       perl(XML::NamespaceSupport) >= 1.00
Requires:       perl(XML::SAX::Exception) >= 1.01

%description
Why yet another XML Writer ?

A new XML Writer was needed to match the SAX2 effort because quite naturally no
existing writer understood SAX2. My first intention had been to start patching
XML::Handler::YAWriter as it had previously been my favourite writer in the SAX1 world.

However the more I patched it the more I realised that what I thought was going to be
a simple patch (mostly adding a few event handlers and changing the attribute syntax)
was turning out to be a rewrite due to various ideas I`d been collecting along the way.
Besides, I couldn`t find a way to elegantly make it work with SAX2 without breaking
the SAX1 compatibility which people are probably still using. There are of course
ways to do that, but most require user interaction which is something I wanted to avoid.

So in the end there was a new writer. I think it`s in fact better this way as it
helps keep SAX1 and SAX2 separated.

  Author: Robin Berjon  <robin@knowscape.com>

%prep
%setup -q -n %{cpan_name}-%{version}
%{__chmod} 0644 Changes README
find -name "*.pm" -exec %{__chmod} 0644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README test_file1 test_file2 test_file_for_output

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
- update to 0.53
  - Switch from Text::IconV to Encode (David Pinkowitz)
  - Update package Module::Install metadata discovery
- recreated by cpanspec 1.78
- noarch pkg
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Tue Jul 14 2009 chris@computersalat.de
- initial pkg 0.52
